> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Deliver a frontend tool execution result.

> Deliver the result of a frontend tool execution from the customer's app
(Gleap.registerAgentTool handler) back to the awaiting agent.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /frontend-tools/result
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /frontend-tools/result:
    post:
      tags:
        - FrontendTools
      summary: Deliver a frontend tool execution result.
      description: |-
        Deliver the result of a frontend tool execution from the customer's app
        (Gleap.registerAgentTool handler) back to the awaiting agent.
      operationId: DeliverResult
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                error:
                  type: string
                result: {}
                toolCallId:
                  type: string
              required:
                - toolCallId
              type: object
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeliverFrontendToolResultResponse'
      security: []
components:
  schemas:
    DeliverFrontendToolResultResponse:
      properties:
        delivered:
          type: boolean
        alreadyCompleted:
          type: boolean
        resumed:
          type: boolean
        resumeVia:
          type: string
          enum:
            - stream
          nullable: false
        conversationId:
          type: string
        agentId:
          type: string
      required:
        - delivered
      type: object
      additionalProperties: false

````